ch.qos.logback.core.joran.event

## Class BodyEvent

- java.lang.Object
- - ch.qos.logback.core.joran.event.SaxEvent
  - - ch.qos.logback.core.joran.event.BodyEvent

    public class BodyEvent
    extends SaxEvent

### Field Summary

### Fields inherited from class ch.qos.logback.core.joran.event.SaxEvent

`localName, locator, namespaceURI, qName`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `append(String str)`
`String` `getText()` Always trim trailing spaces from the body text.
`String` `toString()`

### Methods inherited from class ch.qos.logback.core.joran.event.SaxEvent

`getLocalName, getLocator, getNamespaceURI, getQName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getText

    public String getText()

Always trim trailing spaces from the body text.

Returns:

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### append

    public void append(String str)